Skip to main content
GET
/
webhooks
JavaScript
import Mobilerun from '@mobilerun/sdk';

const client = new Mobilerun({
  apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});

const webhooks = await client.webhooks.list();

console.log(webhooks.counts);
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "url": "<string>",
      "eventTypes": [
        "<string>"
      ],
      "blockedAt": "<string>",
      "blockedReason": "<string>",
      "signingEnabled": true,
      "description": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "pagination": {
    "hasNext": true,
    "hasPrev": true,
    "page": 2,
    "pageSize": 2,
    "pages": 1,
    "total": 1
  },
  "counts": {
    "active": 123,
    "failing": 123,
    "blocked": 123,
    "disabled": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer token via Authorization header

Query Parameters

page
integer
default:1
pageSize
integer
default:10
status
enum<string>
Available options:
active,
failing,
blocked,
disabled

Response

Webhook subscriptions

items
object[]
required
pagination
object
required
counts
object
required